//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE-----------------------------
package org.huihoo.workflow.server;

import org.huihoo.workflow.WorkflowComplexComponent;



public abstract class WorkflowPath extends WorkflowComplexComponent
{
	/** 
	 * Construct a new WorkflowComponenet.
	 */
	protected WorkflowPath()
	{
		this(null,null);
	}
	
	/** 
	 * Construct a new WorkflowComponenet.
	 *
	 * @param uuid_ The element ID
	 * @param name The element name
	 */
	protected WorkflowPath(String uuid, String name)
	{
		this(uuid, name, null);
	}

	/** 
	 * Construct a new WorkflowComponenet.
	 *
	 * @param uuid_       The element ID
	 * @param name        The element name
	 * @param description The element description
	 */
	protected WorkflowPath(String uuid_, String name, String description)
	{
		super(uuid_, name, description);
	}
	  
  public abstract WorkflowWork getFromWork();
  public abstract void         setFromWork(WorkflowWork fromWork);
   
  public abstract WorkflowWork getToWork();
  public abstract void         setToWork(WorkflowWork toWork);
  
  public abstract String       getBacthNo();
  public abstract void         setBacthNo(String batchNo);
  
  public abstract int          getEventType();
  public abstract void         setEventType(int eventType);
}
